## avisubtitle avisubtitle — Parse avi subtitle stream |

## Types and Values

struct | GstAviSubtitle

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAviSubtitle

## Description

### Example launch line

Parses the subtitle stream from an avi file.

    gst-launch-1.0 filesrc location=subtitle.avi ! avidemux name=demux ! queue ! avisubtitle ! subparse ! textoverlay name=overlay ! videoconvert ! autovideosink demux. ! queue ! decodebin ! overlay.

This plays an avi file with a video and subtitle stream.

## Synopsis

### Element Information

plugin | avi
author | Thijs Vermeir <thijsvermeir@gmail.com>
class | Codec/Parser/Subtitle

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-subtitle-avi

name | src
direction | source
presence | always
details | application/x-subtitle

## Functions

## Types and Values

### struct GstAviSubtitle

    struct GstAviSubtitle;